Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Protected Attributes
Argus::AcRegion Class Reference

Defines an autocontrol region of interest (in pixel space). More...

`#include <Types.h>`

Inheritance diagram for Argus::AcRegion:

List of all members.

## Public Member Functions
| AcRegion ()
| AcRegion (uint32_t _left, uint32_t _top, uint32_t _right, uint32_t _bottom, float _weight)
float & | weight ()
const float & | weight () const
Public Member Functions inherited from Argus::Rectangle< uint32_t >
| Rectangle ()
| Rectangle (const Tuple< 4, uint32_t > &other)
| Rectangle (uint32_tinit)
| Rectangle (uint32_t_left, uint32_t_top, uint32_t_right, uint32_t_bottom)
uint32_t & | left ()
const uint32_t & | left () const
uint32_t & | top ()
const uint32_t & | top () const
uint32_t & | right ()
const uint32_t & | right () const
uint32_t & | bottom ()
const uint32_t & | bottom () const
uint32_t | width () const
| Returns the width of the rectangle.
uint32_t | height () const
| Returns the height of the rectangle.
uint32_t | area () const
| Returns the area of the rectangle (width * height).
Public Member Functions inherited from Argus::Tuple< 4, uint32_t >
| Tuple ()
| Tuple (uint32_tinit)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, uint32_t > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, uint32_t > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, uint32_t > & | operator+= (const Tuple< N, uint32_t > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, uint32_t > & | operator-= (const Tuple< N, uint32_t > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, uint32_t > & | operator*= (const uint32_t &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, uint32_t > & | operator/= (const uint32_t &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, uint32_t > | operator+ (const Tuple< N, uint32_t > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, uint32_t > | operator- (const Tuple< N, uint32_t > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, uint32_t > | operator* (const uint32_t &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, uint32_t > | operator/ (const uint32_t &rhs) const
| Returns the result of dividing this tuple by a single value.
uint32_t & | operator[] (unsigned int i)
const uint32_t & | operator[] (unsigned int i) const

## Protected Attributes
float | m_weight

## Detailed Description

Defines an autocontrol region of interest (in pixel space).

This region consists of a rectangle (inherited from the Rectangle<uint32_t> Tuple) and a floating point weight value.

Definition at line 739 of file Types.h.

## Constructor & Destructor Documentation

Argus::AcRegion::AcRegion | ( |  | ) |
| inline

Definition at line 742 of file Types.h.

Argus::AcRegion::AcRegion | ( | uint32_t | _left,
|  | uint32_t | _top,
|  | uint32_t | _right,
|  | uint32_t | _bottom,
|  | float | _weight
| ) |  |
| inline

Definition at line 747 of file Types.h.

## Member Function Documentation

float& Argus::AcRegion::weight | ( |  | ) |
| inline

Definition at line 752 of file Types.h.

const float& Argus::AcRegion::weight | ( |  | ) | const
| inline

Definition at line 753 of file Types.h.

## Member Data Documentation

float Argus::AcRegion::m_weight
| protected

Definition at line 756 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h